# Generated by Django 4.2.2 on 2023-10-18 10:13

from django.contrib.auth import get_user_model
from django.contrib.auth.hashers import UNUSABLE_PASSWORD_PREFIX
from django.db import migrations
from django.utils import timezone


def populate_password_updated_field(apps, schema_editor):
    User = get_user_model()
    User.objects.exclude(
        # Exclude users having unusable password
        password__startswith=UNUSABLE_PASSWORD_PREFIX,
    ).update(password_updated=timezone.now().date())


class Migration(migrations.Migration):

    dependencies = [
        ("immunity_users", "0019_user_password_updated"),
    ]

    operations = [
        migrations.RunPython(populate_password_updated_field),
    ]
